curl --request GET \
--url https://api.quiverquant.com/beta/live/insiders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiverquant.com/beta/live/insiders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiverquant.com/beta/live/insiders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiverquant.com/beta/live/insiders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiverquant.com/beta/live/insiders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiverquant.com/beta/live/insiders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiverquant.com/beta/live/insiders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"Date": "2023-11-07T05:31:56Z",
"Name": "<string>",
"AcquiredDisposedCode": "<string>",
"TransactionCode": "<string>",
"fileDate": "2023-11-07T05:31:56Z",
"Ticker": "<string>",
"Shares": 123,
"PricePerShare": 123,
"SharesOwnedFollowing": 123,
"officerTitle": "<string>",
"isDirector": true,
"isOfficer": true,
"isTenPercentOwner": true,
"isOther": true,
"directOrIndirectOwnership": "<string>",
"uploaded": "2023-11-07T05:31:56Z"
}
]Live Insider Trading
Returns recent insider transactions.
curl --request GET \
--url https://api.quiverquant.com/beta/live/insiders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiverquant.com/beta/live/insiders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiverquant.com/beta/live/insiders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiverquant.com/beta/live/insiders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiverquant.com/beta/live/insiders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiverquant.com/beta/live/insiders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiverquant.com/beta/live/insiders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"Date": "2023-11-07T05:31:56Z",
"Name": "<string>",
"AcquiredDisposedCode": "<string>",
"TransactionCode": "<string>",
"fileDate": "2023-11-07T05:31:56Z",
"Ticker": "<string>",
"Shares": 123,
"PricePerShare": 123,
"SharesOwnedFollowing": 123,
"officerTitle": "<string>",
"isDirector": true,
"isOfficer": true,
"isTenPercentOwner": true,
"isOther": true,
"directOrIndirectOwnership": "<string>",
"uploaded": "2023-11-07T05:31:56Z"
}
]403 from this endpoint. See Plans and data access.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Date, formatted as YYYYMMDD
Limit codes for form4 search
Page number
Items / page
Ticker for any given stock
Date the transaction was uploaded, formatted as YYYYMMDD
Response
Transaction date
Name of transactor
Indicates whether transaction was share acquisition or disposal
Indicates type of transaction (see more: https://www.sec.gov/files/forms-3-4-5.pdf)
Time that the transaction was filed (and became publicly available)
Company ticker
Number of shares transacted
Reported price per share transacted
Number of shares owned by insider following transaction
Corporate title of the transactor
Whether the transactor is a director of the company
Whether the transactor is an officer of the company
Whether the transactor is a 10% owner of the company
The transactor is not a director, officer, or 10% owner
Ownership type ('D' or 'I')
Time that the transaction was uploaded by Quiver

